/* Board */
#include "board.h"
#include "clock_config.h"
#include "pin_mux.h"

/* App */
#include "app_i2c_if.h"

int main(void) {
    BOARD_InitBootPins();
    BOARD_InitBootClocks();

    app_i2c_if_init();

    for (;;) {
        GPIO_PortToggle(BOARD_INITLEDPINS_LED_R_GPIO, BOARD_INITLEDPINS_LED_R_PORT, BOARD_INITLEDPINS_LED_R_PIN_MASK);
        SDK_DelayAtLeastUs(500 * 1000, CLOCK_GetCoreSysClkFreq());
    }
}
